Subject: bug#25317: [bug-gnu-emacs] emacs-25.1.91 build feedback

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Sat, 21 Jan 2017 18:11:43 -0700

>> ping?

I've been extremely busy the past 2 weeks with start of term, and
today, a power outage and snow storm that has kept me busy all day
restoring machines.

I have succeeded in getting several of the emacs-25.1.91 failures to
build, by changing compilers / options / PATH.  There remain a few
that are as yet unresolved.  I'll try to get to those next week.

One pain in emacs-x.y.z releases is that if any of the graphics
libraries (gif, jpeg, png, tiff, ...) and associated header files are
missing, configure aborts.  

I would MUCH rather that it just warned that it would not be able to
supply that rarely-used feature of viewing bitmap graphics files, and
carry on with the build.  

I had to manually restart a substantial fraction of the builds that
I've done so far (157 automated, 53 manual).  On several platforms, it
seems difficult to get all of the needed graphics libraries installed,
without running into package dependencies that say "you can have THIS
package, but not THAT package, because it depends on YET ANOTHER
package that cannot be installed on your O/S version".

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------